*, ::after, ::before {
    box-sizing: border-box;
}

body {
    background: url('/pictures/registarwall.jpg') no-repeat center center fixed;
    background-size: cover;
    color: #fff;
    font-family: monospace, serif;
    letter-spacing: 0.05em;
}

body::before {
    content: '';
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6); /* Black overlay with 60% opacity */
    z-index: -1; /* Place it behind all your content */
}

h1 {
    font-size: 23px;
}

.form {
    width: 300px;
    padding: 20px 15px 24px;
    margin: 0 auto;
}

.control {
    margin: 0 0 24px;
}

.control input {
    width: 100%;
    padding: 14px 16px;
    border: 0;
    background: transparent;
    color: #fff;
    font-family: monospace, serif;
    letter-spacing: 0.05em;
    font-size: 16px;
}

.control input:hover,
.control input:focus {
    outline: none;
    border: 0;
}

.btn {
    width: 100%;
    display: block;
    padding: 14px 16px;
    background: transparent;
    outline: none;
    border: 0;
    color: #fff;
    letter-spacing: 0.1em;
    font-weight: bold;
    font-family: monospace;
    font-size: 16px;
}

.block-cube {
    position: relative;
}

.block-cube .bg-top {
    position: absolute;
    height: 10px;
    background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(52,9,121,1) 37%, rgba(0,212,255,1) 94%);
    bottom: 100%;
    left: 5px;
    right: -5px;
    transform: skew(-45deg, 0);
}

.block-cube .bg {
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(90deg, rgba(2,0,36,1) 0%, rgba(52,9,121,1) 37%, rgba(0,212,255,1) 94%);
}

.block-cube .bg-right {
    position: absolute;
    background: rgba(0,212,255,1);
    top: -5px;
    z-index: 0;
    bottom: 5px;
    width: 10px;
    left: 100%;
    transform: skew(0, -45deg);
}

.block-cube .bg-inner {
    background: #212121;
    position: absolute;
    left: 2px;
    top: 2px;
    right: 2px;
    bottom: 2px;
    transition: all 0.2s ease-in-out;
}

.block-cube .text {
    position: relative;
    z-index: 2;
}

.block-cube.block-input input {
    position: relative;
    z-index: 2;
}

.block-cube.block-input input:focus ~ .bg-right .bg-inner,
.block-cube.block-input input:focus ~ .bg-top .bg-inner,
.block-cube.block-input input:focus ~ .bg .bg-inner {
    top: 100%;
    background: rgba(255, 255, 255, 0.5);
}

.block-cube.block-input .bg-top,
.block-cube.block-input .bg-right,
.block-cube.block-input .bg {
    background: rgba(255, 255, 255, 0.5);
    transition: background 0.2s ease-in-out;
}

.block-cube.block-input:hover .bg-top,
.block-cube.block-input:hover .bg-right,
.block-cube.block-input:hover .bg {
    background: rgba(255, 255, 255, 0.8);
}

.block-cube.block-cube-hover:hover .bg .bg-inner {
    top: 100%;
}

.credits {
    position: fixed;
    left: 0;
    bottom: 0;
    padding: 15px;
    width: 100%;
    z-index: 111;
}

.credits a {
    opacity: 0.6;
    color: #fff;
    font-size: 11px;
    text-decoration: none;
}

.credits a:hover {
    opacity: 1;
}

.message {
    margin-top: 20px;
    text-align: center;
    font-family: monospace, serif;
    font-size: 13px;
    color: #ffffffb0;
    letter-spacing: 0.05em;
}

.message1 {
    margin-top: 20px;
    text-align: center;
    font-family: monospace, serif;
    font-size: 13px;
    color: #ff4d4d;
    letter-spacing: 0.05em;
}

.disabled-btn {
    opacity: 0.4;
    pointer-events: none;
    cursor: not-allowed;
}
